<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2005 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
include('./global.inc.php');
define('CURR_PAGE',FILE_ADM_CAT);

function local_cat_rows($cat_id='0') {
	global $TPL_site,$cfg,$sys_temp;
	global $cat_tree_arr,$cat_level;
	
	$space = str_repeat('&nbsp;',$cat_level*5);
	$cat_level++;
	for ($i=0; $i<$sys_temp['k']; $i++)
	{
		if($cat_tree_arr[$i]['cat_parent']==$cat_id)
		{
			$TPL_site->assign_block_vars('cat_row',array(
				'CAT_ID' => $cat_tree_arr[$i]['cat_id'],
				'CAT_NAME' => $space. stripslashes($cat_tree_arr[$i]['cat_name']),
				'CAT_ORDER' => $cat_tree_arr[$i]['cat_order'],
				'U_EDIT_CAT' => append_sid(FILE_ADM_CAT.'?action=edit&amp;cat_id='.$cat_tree_arr[$i]['cat_id'].''),
				'U_DELETE_CAT' => append_sid(FILE_ADM_CAT.'?action=delete&amp;cat_id='.$cat_tree_arr[$i]['cat_id'].''),
				'U_ADD_CAT' => append_sid(FILE_ADM_CAT.'?action=add&amp;cat_id='.$cat_tree_arr[$i]['cat_id'].''),
				'PRIVATE_ICON' => ($cat_tree_arr[$i]['cat_private']==1)? '<img src="'.$cfg['site_url'].'templates/'.$cfg['skin'].'/admin/images/icon_key.gif" alt="" />' : ''
			));
			local_cat_rows($cat_tree_arr[$i]['cat_id']);
		}
	}
	$cat_level--;
	return true;
}

if($action=='order')
{
	while (list($key,$val)=each($order))
	{
		$sql = "UPDATE ".DBTBL_CATS." SET cat_order='$val' WHERE cat_id='$key' ";
		$DB_site->query($sql);
	}
	redirect_die(append_sid(CURR_PAGE));
}

if($action=='delete')
{
	$sql = "SELECT * FROM ".DBTBL_CATS." WHERE cat_parent='$cat_id' ";
	$data_arr = $DB_site->query($sql);
	$num = $DB_site->num_rows($data_arr);
	$DB_site->free_result($data_arr);
	if($num > 0)
	{
		message_die(CRITICAL_ERROR,$msg['a_cat_error_thereis_subcat']);
	}
	$sql = "SELECT * FROM ".DBTBL_PHOTOS." WHERE cat_id='$cat_id' ";
	$data_arr = $DB_site->query($sql);
	$num = $DB_site->num_rows($data_arr);
	$DB_site->free_result($data_arr);
	if($num > 0)
	{
		message_confirm(ACTION_DELETE,array('cat_id'=>$cat_id),$msg['a_cat_error_thereis_photoincat']);
	}
	message_confirm(ACTION_DELETE,array('cat_id'=>$cat_id));
}

if($action=='delete2')
{
	$sql = "DELETE FROM ".DBTBL_CATS." WHERE cat_id='$cat_id' ";
	$DB_site->query($sql);
	$sql = "DELETE FROM ".DBTBL_PHOTOS." WHERE cat_id='$cat_id' ";
	$DB_site->query($sql);
	redirect_die(append_sid(CURR_PAGE));
}

if($action=='insert')
{
	if($VAL_site->validate("ls||1||gt||255",$cat_name)) { message_die(GENERAL_ERROR,$msg['error_field_missing']); } 
	$cat_parent = !empty($cat_parent)? $cat_parent : 0;
	$sql = "INSERT INTO ".DBTBL_CATS." (cat_id,cat_parent,cat_name,cat_desc,cat_order,cat_nphoto,cat_date,cat_private,cat_password) VALUES (NULL,'".addslashes($cat_parent)."','".addslashes($cat_name)."','".addslashes($cat_desc)."','".addslashes($cat_order)."','0','".time()."','".addslashes($cat_private)."','".addslashes($cat_password)."') ";
	$DB_site->query($sql);
	redirect_die(append_sid(CURR_PAGE));
}

if($action=='update')
{
	$cat_parent = ($cat_parent==$cat_id)? 0 : $cat_parent;
	$sql = "UPDATE ".DBTBL_CATS." SET cat_parent='".addslashes($cat_parent)."',cat_name='".addslashes($cat_name)."', cat_desc='".addslashes($cat_desc)."', cat_order='$cat_order',cat_private='".addslashes($cat_private)."',cat_password='".addslashes($cat_password)."' WHERE cat_id='$cat_id' ";
	$DB_site->query($sql);
	redirect_die(append_sid(CURR_PAGE));
}


include(ROOT_DIR.'admin/'.FILE_ADM_HEADER);

if($action=='add')
{
	$TPL_site->set_filenames(array(
			'cat_edit' => 'admin/cat_edit_body.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="insert" />';
	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_SELECT_FIELD_CAT' => make_form_select_cat('cat_parent',$cat_id),
			'FORM_SELECT_FIELD_PRIVATE' => make_form_select_yesno('cat_private',''),
			'L_SUB_CATEGORY_OF' => $msg['a_cat_subcat_of'],
			'L_SUBMIT' => $msg['a_add'],
			'CAT_NAME' => '',
			'CAT_PRIVATE' => 0,
			'CAT_PASSWORD' => '',
			'CAT_ID' => $cat_info['cat_id'],
			'CAT_ORDER' => $cat_info['cat_order']
			));
	$TPL_site->pparse('cat_edit');
}

if($action=='edit')
{
	$TPL_site->set_filenames(array(
			'cat_edit' => 'admin/cat_edit_body.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="update" /><input type="hidden" name="cat_id" value="'.addslashes($cat_id).'" />';
	$cat_info = get_cat_info(addslashes($cat_id));
	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_SELECT_FIELD_CAT' => make_form_select_cat('cat_parent',$cat_info['cat_parent']),
			'FORM_SELECT_FIELD_PRIVATE' => make_form_select_yesno('cat_private',$cat_info['cat_private']),
			'L_SUB_CATEGORY_OF' => $msg['a_cat_subcat_of'],
			'L_SUBMIT' => $msg['a_edit'],
			'CAT_NAME' => htmlspecialchars($cat_info['cat_name']),
			'CAT_DESC' => htmlspecialchars($cat_info['cat_desc']),
			'CAT_PASSWORD' => htmlspecialchars($cat_info['cat_password']),
			'CAT_ID' => $cat_info['cat_id'],
			'CAT_ORDER' => $cat_info['cat_order']
			));
	$TPL_site->pparse('cat_edit');
}

if(empty($action))
{
	$TPL_site->set_filenames(array(
			'cat_show' => 'admin/cat_index_body.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="order" />';
	
	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'L_SUBMIT' => $msg['a_order'],
			'L_CAT_TITLE' => $msg['a_cat_title'],
			'L_ADD_CAT' => $msg['a_cat_add_cat']
	));

	local_cat_rows();
	$TPL_site->pparse('cat_show');
}

include(ROOT_DIR.'admin/'.FILE_ADM_FOOTER);
?>