<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2005 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
include('./global.inc.php');
define('CURR_PAGE',FILE_ADM_MULT_PHOTO);


$FILE_site = new FILE_Handler($cfg['img_dir']);

function list_curr_dirs($path='',$level=0)
{
	global $cfg;
	$ignore_dirs = array('thumbs');
	$max_sub_levels = 5;
	$level++;
	if($level > $max_sub_levels)
	{
		return false;
	}
	$path = (substr($path,-1)=='/' || $path=='')? $path : $path.'/';
	$dir = $cfg['img_dir']. $path;
	$handle = @opendir($dir);
	while($dirname = @readdir($handle))
	{
		$file_path = $cfg['img_dir'] . $path . $dirname; 
		
		if ($dirname !='.' && $dirname!='..')
		{
			if(@filetype($file_path)=='dir' && !in_array($dirname,$ignore_dirs))
			{
				$temp_dirs 	.= "\n<option value='$path$dirname'>$path$dirname</option>";
				$temp_dirs 	.= list_curr_dirs($path.$dirname,$level);
			}
		}
	}
	$level--;
	@closedir($handle);
	return $temp_dirs;
}

// #########################################################################
if ($action == 'insertmultiple')
{
	if (is_array($includeitem))
	{
		$i = 0;
		//view_array($_POST);
		while (list($key,$val)=each($includeitem))
		{
			$_photo_file = !empty($df_path)? $df_path . '/' . stripslashes($key) : stripslashes($key);
			$_cat_id = $cat[$key];
			$_photo_thm = $photo_thm[$key];
			$_photo_title = $photo_title[$key];
			$_photo_desc = $photo_desc[$key];
			$_photo_size = $photo_size[$key];
			$_photo_date = $photo_date[$key];
			$_make_thumb = $photo_makethumb[$key];
			$_photo_date = get_photo_date($_photo_file);
			if($_make_thumb==1)
			{
				$df_path = my_fix_uri($df_path);
				$_photo_thm = $FILE_site->make_thumb($df_path.$key,'thumbs/');
			}
			$_photo_date = empty($_photo_date)? (date('Y-m-d H:i:s',time()+($cfg['site_timeoffset']*3600))) : $_photo_date;
			$sql = "INSERT INTO ".DBTBL_PHOTOS." (`photo_id`,`cat_id`,`photo_title`,`photo_desc`,`photo_file`,`photo_thm`,`photo_size`,`photo_date`) VALUES (NULL,'".addslashes($_cat_id)."','".addslashes($_photo_title)."','".addslashes($_photo_desc)."','".addslashes($_photo_file)."','".addslashes($_photo_thm)."','".addslashes($_photo_size)."','$_photo_date' ) ";
			//echo $sql.'<hr>';
			$DB_site->query($sql);
			$i++;
		}
		recount_nphoto_cat();
		if ($i == $i_count)
		{
			redirect_die(append_sid(FILE_ADM_PHOTO));
		}else{
			redirect_die(append_sid(CURR_PAGE."?action=addmultiple&i_perpage=$i_perpage&df_path=$df_path&df_tags=$df_tags&df_cat=$df_cat"));
		}
	}else{
		message_die(GENERAL_ERROR,$msg['a_photo_addmutiple_noselected']);
	}
}
if($action=='resize')
{
	$cat_id ='all';
	$sql = ($cat_id=='all')? "SELECT * FROM ".DBTBL_PHOTOS." " : "SELECT * FROM ".DBTBL_PHOTOS." WHERE cat_id='".addslashes($cat_id)."' ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$_size = my_int_filesize($row['photo_file']);
		if($_size >= 0)
		{
			$sql = "UPDATE ".DBTBL_PHOTOS." SET photo_size='$_size' WHERE photo_id=".$row['photo_id']." ";
			$DB_site->query($sql);
		}
	}
	$DB_site->free_result($data_arr);
	redirect_die(append_sid(FILE_ADM_PHOTO));
}

include(ROOT_DIR.'admin/'.FILE_ADM_HEADER);

if(empty($action))
{
	$TPL_site->set_filenames(array(
			'body' => 'admin/photo_add_multiple_body.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="addmultiple" />';
	$_html_select_dir = list_curr_dirs();
	
	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_SELECT_CAT_FIELD' => make_form_select_cat('df_cat',$cat_id),
			'FORM_CHECKBOX_MAKE_THUMB' => function_exists('imagejpeg')? '<input type="checkbox" name="df_make_thumb" value="1" />'.$msg['a_make_thumb'] : '',
			'FORM_DIR_BROWSE' => empty($_html_select_dir)? '<input type="text" name="df_path" value="" />' : '<select name="df_path">'.$_html_select_dir.'</select>',
			'L_SUBMIT' => $msg['a_add'],
			'L_DIR_BROWSE' => $msg['a_photo_addmutiple_browsedir'],
			'L_INFO_NOTE' => $msg['a_photo_addmutiple_note'],
			'L_THM_TAG' => $msg['a_photo_addmutiple_tags'],
			'L_PHOTO_SIZE' => $msg['a_photo_size']
			));
	$TPL_site->pparse('body');
}

// ############################# INSERTMULTIPLE #############################
if ($action == 'addmultiple')
{

	$TPL_site->set_filenames(array(
			'body' => 'admin/photo_add_multiple_bit.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="insertmultiple" />';
	
	$cat_tree_arr = make_array_sort($cat_tree_arr, array('+cat_order'));
	$_html_select_options_cat .= '<option value="0" '.  ($df_cat==0)? 'selected="selected"':''  .'>'.$msg['a_none'].'</option>';
	$_html_select_options_cat .= make_form_select_cat_options(0,$df_cat,false);
	
	if (intval($startpage) < 1)
	{
		$startpage = 1;
	}
	if (intval($i_perpage) < 1)
	{
		$i_perpage = 20;
		$df_path = preg_replace("/\/$/s",'',$df_path);
	}
	//@chdir($cfg['img_dir']);
	if ($dirhandle = @opendir($cfg['img_dir'].$df_path))
	{
		$sql = "SELECT photo_file FROM  ".DBTBL_PHOTOS." ";
		$data_arr = $DB_site->query($sql);
		while ($row = $DB_site->fetch_array($data_arr))
		{
			$already_in_db[$row['photo_file']] = 'yes';
		}
		$file_array = array();
		$i = 0;
		while ($file = readdir($dirhandle))
		{
			$i_full_path = !empty($df_path)? $df_path .'/'. $file : $file;
			if ($file!='.' && $file!='..' && !$already_in_db[$i_full_path] && (($filelen=strlen($file))>=5))
			//if ($file!='.' && $file!='..' && (($filelen=strlen($file))>=5))
			{
				$i_file_ext = strtolower(substr($file, $filelen-4, $filelen-1));
				if ($i_file_ext=='.gif' || $i_file_ext=='.jpg' || $i_file_ext=='jpeg' || $i_file_ext=='.png')
				{
					$file_array[$i] = addslashes($file);
					$i++;
				}
			}
		}
		closedir($dirhandle);
		
		$i_count = sizeof($file_array);
		if ((($i_count / $i_perpage) - ((int) ($i_count / $i_perpage))) == 0)
		{
			$num_pages = $i_count / $i_perpage;
		}else{
			$num_pages = (int) ($i_count / $i_perpage) + 1;
		}
		if ($startpage == 1)
		{
			$start_item = 0;
			$end_item = $i_perpage - 1;
		}else{
			$start_item = ($startpage - 1) * $i_perpage;
			$end_item = ( $i_perpage * $startpage ) - 1 ;
		}
		//echo " start_item=$start_item / end_item=$end_item / $num_pages.";
		$i_base_url = !empty($df_path) ? $df_path . '/' : '';
		$now_datetime = date('Y-m-d H:i:s');
		$gd_installed = function_exists('imagejpeg')? 1 : 0;
		for ($x = 0; $x < $i_count; $x++)
		{
			//echo "<font color=blue>$x</font>";	
			if ($x >= $start_item && $x <= $end_item)
			{
				
				$thm_fn = get_file_name($file_array[$x], 1);
				$_tmp = str_replace('[directory]', $df_path, $df_tags);
				$_tmp = str_replace('[name]', $thm_fn, $_tmp);
				$_tmp = str_replace('[fullname]', $file_array[$x], $_tmp);
				$_size = my_int_filesize($i_base_url . $file_array[$x]);
				$_date = get_photo_date($i_base_url . $file_array[$x]);
				$_date = empty($_date) ? gmdate("Y:m:d H:i:s", mktime()) : $_date;
				$TPL_site->assign_block_vars('item_row', array(
						'FORM_CHECKBOX_INCLUDE' => 'includeitem['. $file_array[$x] .']',
						'FORM_SELECT_CAT_FIELD' => '<select name="cat['. $file_array[$x] .']">'. $_html_select_options_cat .'</select>',
						'FORM_CHECKBOX_MAKE_THUMB' => ($gd_installed)? '<input type="checkbox" name="photo_makethumb['. $file_array[$x] .']" value="1"'. (($df_make_thumb)?' checked="checked"' :'') .'/>'. $msg['a_make_thumb'] : '',
						'FORM_TEXT_FILE' => 'photo_file['. $file_array[$x] .']',
						'PHOTO_FILE' => $i_base_url . $file_array[$x],
						'FORM_TEXT_THM' => 'photo_thm['. $file_array[$x] .']',
						'PHOTO_THM' => $_tmp,
						'PHOTO_SIZE' => $_size,
						'PHOTO_RATE' => '',
						'PHOTO_DATE' => $_date,
						'FORM_TEXT_TITLE' => 'photo_title['. $file_array[$x] .']',
						'FORM_TEXT_SIZE' => 'photo_size['. $file_array[$x] .']',
						'FORM_TEXT_DATE' => 'photo_date['. $file_array[$x] .']',
						'FORM_TEXTAREA_DESC' => 'photo_desc['. $file_array[$x] .']',
						'U_PHOTO_FILE' => $cfg['img_url']. $i_base_url . $file_array[$x],
						'U_PHOTO_THM' => $cfg['img_url']. $_tmp,
						'HTML_THUMB_IMAGE' => is_file($cfg['img_dir'] . $_tmp) ? get_html_video($cfg['img_url'] . $_tmp) : $msg['a_nofound_thumb'],
						'HTML_SHOW_FILE' =>''
				));
				//echo "<font color=red>$x</font>";
			}
			//exit;

		}
		if ($num_pages > 1)
		{
			$_u_extra = "i_perpage=$i_perpage&amp;action=addmultiple&amp;df_path=$df_path&amp;df_cat=$df_cat&amp;df_tags=$df_tags";
			for ($x = 1; $x <= $num_pages; $x++)
			{
				$pagelinks .= ($x == $startpage)? "&nbsp; <b> $x </b>" : "&nbsp; <a href='". append_sid(CURR_PAGE."?startpage=$x&$_u_extra") ."'>$x</a>";
			}
			if ($startpage != $num_pages)
			{
				$nextstart 	= $startpage + 1;
				$nextpage 	= "&nbsp; <a href='". append_sid(CURR_PAGE."?startpage=$nextstart&amp;$_u_extra") ."'>&raquo;</a>";
				$endpage = $end_item + 1;
			}else{
				$endpage = $i_count;
			}
			if ($startpage!=1)
			{
				$prevstart 	= $startpage - 1;
				$prevpage 	= "&nbsp; <a href='". append_sid(CURR_PAGE."?startpage=$prevstart&amp;$_u_extra") ."'>&laquo;</a> ";
			}
			$start_page = $start_item +  1;
			$_html_nav_bar = "$startpage - $endpage/$i_count<br>$prevpage $pagelinks $nextpage";
		}
		$_html_hidden_fields .= "
		<input type='hidden' name='df_cat'    value='$df_cat' />
		<input type='hidden' name='df_tags'   value='$df_tags' />
		<input type='hidden' name='df_active' value='$df_active' />
		<input type='hidden' name='i_count'   value='$i_count' />
		<input type='hidden' name='df_make_thumb'   value='$df_make_thumb' />
		<input type='hidden' name='df_path'   value='$df_path' />
		<input type='hidden' name='i_perpage' value='$i_perpage' />";
		
		$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_SELECT_CAT_FIELD' => $_html_select_field,
			'L_CHECKALL_TO_INCLUDE' => $msg['a_checkall_to_include'],
			'FORM_CHECKBOX_ALLTHUMB' => function_exists('imagejpeg')? '<input name="allboxthumb" type="checkbox" value="Check All" onClick="CheckAllThumb();" />' . $msg['a_checkall_to_thumb'] : '',
			'L_SUBMIT' => $msg['a_add'],
			'NAV_BAR' => $_html_nav_bar,
			'L_PHOTO_TITLE' => $msg['a_photo_title'],
			'L_PHOTO_DESC' => $msg['a_photo_desc'],
			'L_PHOTO_FILE' => $msg['a_photo_file'],
			'L_PHOTO_THM' => $msg['a_photo_thm'],
			'L_PHOTO_DATE' => $msg['a_photo_date'],
			'L_PHOTO_SIZE' => $msg['a_photo_size']
		));
		$TPL_site->pparse('body');
	}else{
		message_die(GENERAL_ERROR,'[<b> '. $df_path .' </b>] '. $msg['a_dir_notfound']);
	}
}
include(ROOT_DIR.'admin/'.FILE_ADM_FOOTER);
?>