<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2005 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
define('CURR_PAGE','index.php');
include('./global.inc.php');

if(!isset($mfc_award_pic))
{
	$sql = "SELECT * FROM ".DBTBL_PHOTOS." ORDER BY photo_nvotes DESC LIMIT 1 ";
	$row = $DB_site->query_first($sql);
	my_setcookie('mfc_award_pic',$row['photo_id'],0);
}

$page_title = $msg['page_index'];

include(ROOT_DIR.'include/page_header.inc.php');

$TPL_site->set_filenames(array(
	'index_body' => 'index_body.html'
));

get_cat_rows();

$sql_where = !empty($mfc_current_set)? " WHERE msg_date>$mfc_current_set " : '';
$sql_limit = !empty($mfc_current_set)? ' LIMIT 50' : ' LIMIT 10 ';
$sql = "SELECT c.*,p.photo_title FROM ".DBTBL_COMMENTS." as c LEFT JOIN ".DBTBL_PHOTOS." as p ON c.photo_id=p.photo_id $sql_where ORDER BY msg_date DESC $sql_limit ";
$data_arr = $DB_site->query($sql);
while ($row = $DB_site->fetch_array($data_arr))
{
	$TPL_site->assign_block_vars('comm_row',array(
		'ADMIN_LINK' => isset($HTTP_SESSION_VARS['mf_user_is_logged'])? '<a href='.append_sid("admin/".FILE_ADM_INDEX."?red=admin_comments&amp;act=edit&amp;msg_id=".$row['msg_id']."").'" target="cpanel">'.$msg['admin_panel'].'</a>' : '',
		'U_PHOTO' => append_sid(FILE_USR_SHOW."?nc=1&amp;pid=".$row['photo_id']),
		'PHOTO_TITLE' => stripslashes($row['photo_title']),
		'MSG_NAME' => stripslashes($row['msg_name']),
		'MSG_TEXT_SHORT' => nl2br(parse_smile(substr(stripslashes($row['msg_text']),0,20))).'...',
		'MSG_TEXT' => htmlentities($row['msg_text']),
		'MSG_IP' => $row['msg_ip'],
		'MSG_DATE' => timestamp_to_human($row['msg_date'],$cfg['timezone'])
	));
}
$DB_site->free_result($data_arr);

if ($cfg['show_top_votes'])
{
	$sql = "SELECT * FROM ".DBTBL_PHOTOS." ORDER BY photo_nvotes DESC LIMIT 10 ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$TPL_site->assign_block_vars('rating_row',array(
			'U_PHOTO' => append_sid(FILE_USR_SHOW."?pid=".$row['photo_id'].'&amp;nc=1'),
			'PHOTO_TITLE' => stripslashes($row['photo_title']),
			'NUM_VOTES' => $row['photo_nvotes'],
			'NUM_STARS' => get_rating_stars($row['photo_rate']),
		));
	}
	$DB_site->free_result($data_arr);
}

if ($cfg['show_top_hits'])
{
	switch($top_case)
	{
		case 'total':
			$sql = "SELECT * FROM ".DBTBL_PHOTOS." ORDER BY photo_hits DESC LIMIT 10 ";
			break;
		case 'week':
			$sql = "SELECT * FROM ".DBTBL_PHOTOS." ORDER BY photo_hits DESC LIMIT 10 ";
			break;
		case 'day':
			$sql = "SELECT * FROM ".DBTBL_PHOTOS." ORDER BY photo_hits DESC LIMIT 10 ";
			break;
	}
	$sql = "SELECT * FROM ".DBTBL_PHOTOS." ORDER BY photo_hits DESC LIMIT 10 ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$TPL_site->assign_block_vars('viewed_row', array(
			'U_PHOTO' => append_sid(FILE_USR_SHOW."?pid=".$row['photo_id'].'&amp;nc=1'),
			'PHOTO_TITLE' => stripslashes($row['photo_title']),
			'NUM_HITS' => $row['photo_hits']
		));
	}
	$DB_site->free_result($data_arr);
}

if ($cfg['show_random'])
{
	$sql = "SELECT * FROM ".DBTBL_PHOTOS." ORDER BY RAND() LIMIT 5 ";
	$sql = "SELECT * FROM ".DBTBL_CATS." as c LEFT JOIN ".DBTBL_PHOTOS." as p ON c.cat_id=p.cat_id WHERE c.cat_private!='1' ORDER BY RAND() LIMIT 5";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$_thm_url = eregi('http://',$row['photo_thm'])? $row['photo_thm'] : $cfg['img_url'].$row['photo_thm'];
		$_html_thm = !empty($_thm_url)? "<img src='$_thm_url' alt='' />": $row['title'];
		$_html_thm = '<a href="'.append_sid(FILE_USR_SHOW."?pid=".$row['photo_id']."").'">' . $_html_thm .'</a>';
		$_html_admin_link = isset($HTTP_SESSION_VARS['mf_user_is_logged'])? '<a href='.append_sid("admin/".FILE_ADM_INDEX."?red=admin_photo&act=edit&amp;photo_id=".$row['photo_id']."").'" target="cpanel">'.$msg['admin_panel'].'</a>' : '';
		$_html_start_nc = ($i==0)? '<tr>' : '';
		$i++;
		$_html_end_nc = ($i==$cfg['img_cols_per_page'])? '</tr>': '';
		if ($i==$cfg['img_cols_per_page'])
		{
			$i = 0;
		}
		if($row['photo_ncomm'] > 0 && $mfc_current_set < $row['photo_lastcomm'])
		{
			if ( !isset($mfc_viewphoto) || $mfc_viewphoto[$row['photo_id']]<$row['photo_lastcomm'] )
			{
				$new_icon = '<img src="templates/'.$cfg['skin'].'/images/icon_newcom.gif" alt="" />';
			}
			else
			{
				$new_icon = '';
			}
		}
		else
		{
			$new_icon = '';
		}
		$TPL_site->assign_block_vars('random_row',array(
			'ADMIN_LINK' => $_html_admin_link,
			'PID' => $row['photo_id'],
			'HTML_START_NC' => $_html_start_nc,
			'HTML_END_NC' => $_html_end_nc,
			'HTML_PHOTO_THUMBNAIL' => $_html_thm,
			'PHOTO_THUMBNAIL_URL' => $_thm_url,
			'PHOTO_FILE' => $row['photo_file'],
			'PHOTO_TITLE' => stripslashes($row['photo_title']),
			'NUM_COMMENTS' => $row['photo_ncomm'],
			'PHOTO_RATE' => $row['photo_rate'],
			'PHOTO_SIZE' => $row['photo_size'],
			'PHOTO_DATE' => mysql_datetime_to_human($row['photo_date']),
			'NEW_COMMENTS_ICON' =>  $new_icon
		));
		unset($new_icon);
	}
	$DB_site->free_result($data_arr);
}

$TPL_site->pparse('index_body');

include(ROOT_DIR.'include/page_footer.inc.php');
?>