<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2005 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
include('./global.inc.php');
define('CURR_PAGE',FILE_ADM_PHOTO);

function local_cat_rows($cat_id='0') {
	global $TPL_site,$cfg,$sys_temp;
	global $cat_tree_arr,$cat_level;
	
	$space = str_repeat('&nbsp;',$cat_level*5);
	$cat_level++;
	for ($i=0; $i < $sys_temp['k']; $i++)
	{
		if($cat_tree_arr[$i]['cat_parent']==$cat_id)
		{
			$TPL_site->assign_block_vars('cat_row',array(
				'CAT_ID' => $cat_tree_arr[$i]['cat_id'],
				'CAT_NAME' => $space.stripslashes($cat_tree_arr[$i]['cat_name']),
				'CAT_ORDER' => $cat_tree_arr[$i]['cat_order'],
				'U_ADD_PHOTO' => append_sid(FILE_ADM_PHOTO.'?action=add&amp;cat_id='. $cat_tree_arr[$i]['cat_id'] .''),
				'U_VIEW_CAT' => append_sid(FILE_ADM_BROWSE_PHOTO.'?cat_id='. $cat_tree_arr[$i]['cat_id'] .'')
				));
			local_cat_rows($cat_tree_arr[$i]['cat_id']);
		}
	}
	$cat_level--;
	return true;
}

if($action=='delete')
{
	message_confirm(ACTION_DELETE,array('photo_id'=>$photo_id));
}

if($action=='delete2')
{
	$sql = "DELETE FROM ".DBTBL_PHOTOS." WHERE photo_id='".addslashes($photo_id)."'";
	$DB_site->query($sql);
	recount_nphoto_cat();
	redirect_die(append_sid(CURR_PAGE));
}

if($action=='insert')
{
	if($VAL_site->validate("ls||5||gt||255||has||.",$photo_file)) { message_die(GENERAL_ERROR,$msg['error_field_missing']); } 
	if($VAL_site->validate("ls||5||gt||255||has||.",$photo_thm)) { message_die(GENERAL_ERROR,$msg['error_field_missing']); } 
	if(empty($photo_size))
	{
		$photo_size = my_int_filesize($photo_file);
	}
	$photo_date = date('Y-m-d H:i:s',time()+($cfg['site_timeoffset']*3600));
	$sql = "INSERT INTO ".DBTBL_PHOTOS." (photo_id,cat_id,photo_title,photo_desc,photo_file,photo_thm,photo_size,photo_date) VALUES (NULL,'".addslashes($cat_id)."','".addslashes($photo_title)."','".addslashes($photo_desc)."','".addslashes($photo_file)."','".addslashes($photo_thm)."','".addslashes($photo_size)."','".addslashes($photo_date)."' ) ";
	$DB_site->query($sql);
	recount_nphoto_cat();
	redirect_die(append_sid(CURR_PAGE));
}

if($action=='update')
{
	$sql = "UPDATE ".DBTBL_PHOTOS." SET cat_id='".addslashes($cat_id)."', photo_title='".addslashes($photo_title)."', photo_desc='".addslashes($photo_desc)."', photo_file='".addslashes($photo_file)."', photo_thm='".addslashes($photo_thm)."', photo_size='".addslashes($photo_size)."', photo_rate='".addslashes($photo_rate)."'  WHERE photo_id='".addslashes($photo_id)."' ";
	$DB_site->query($sql);
	recount_nphoto_cat();
	redirect_die(append_sid(CURR_PAGE.'?cat_id='.$cat_id.''));
}

if($action=='recount')
{
	$sql = "SELECT cat_id, count(cat_id) as count FROM ".DBTBL_PHOTOS." GROUP BY cat_id ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$sql = "UPDATE ".DBTBL_CATS." SET cat_nphoto='". $row['count'] . "' WHERE cat_id='".$row['cat_id']."' ";
		$DB_site->query($sql);
	}
	$DB_site->free_result($data_arr);
	redirect_die(append_sid(CURR_PAGE));
}

include(ROOT_DIR.'admin/'.FILE_ADM_HEADER);

if($action=='add')
{
	$TPL_site->set_filenames(array(
			'photo_edit' => 'admin/photo_edit_body.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="insert" />';
	
	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_SELECT_CAT_FIELD' => make_form_select_cat('cat_id',$cat_id),
			'L_SUBMIT' => $msg['a_add'],
			'PHOTO_TITLE' => htmlspecialchars(stripslashes($photo_info['photo_title'])),
			'PHOTO_DESC' => htmlspecialchars(stripslashes($photo_info['photo_desc'])),
			'PHOTO_FILE' => $photo_info['photo_file'],
			'PHOTO_THM' => $photo_info['photo_thm'],
			'PHOTO_DATE' => $photo_info['photo_date'],
			'L_PHOTO_TITLE' => $msg['a_photo_title'],
			'L_PHOTO_DESC' => $msg['a_photo_desc'],
			'L_PHOTO_FILE' => $msg['a_photo_file'],
			'L_PHOTO_THM' => $msg['a_photo_thm'],
			'L_PHOTO_DATE' => $msg['a_photo_date'],
			'L_PHOTO_SIZE' => $msg['a_photo_size'],
			'L_PHOTO_RATE' => $msg['a_photo_rate']
			));
	$TPL_site->pparse('photo_edit');
	
}

if($action=='edit')
{
	$TPL_site->set_filenames(array(
			'photo_edit' => 'admin/photo_edit_body.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="update" /><input type="hidden" name="photo_id" value="'.addslashes($photo_id).'" />';
	
	$sql = "SELECT * FROM ".DBTBL_PHOTOS." WHERE photo_id='".addslashes($photo_id)."'";
	$photo_info = $DB_site->query_first($sql);
	
	$_html_select_field = '<select name="cat_id">';

	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_SELECT_CAT_FIELD' => make_form_select_cat('cat_id',$photo_info['cat_id']),
			'L_SUBMIT' => $msg['a_update'],
			'PHOTO_TITLE' => htmlspecialchars(stripslashes($photo_info['photo_title'])),
			'PHOTO_DESC' => htmlspecialchars(stripslashes($photo_info['photo_desc'])),
			'PHOTO_FILE' => $photo_info['photo_file'],
			'PHOTO_THM' => $photo_info['photo_thm'],
			'PHOTO_DATE' => $photo_info['photo_date'],
			'PHOTO_SIZE' => $photo_info['photo_size'],
			'PHOTO_RATE' => $photo_info['photo_rate'],
			'L_PHOTO_TITLE' => $msg['a_photo_title'],
			'L_PHOTO_DESC' => $msg['a_photo_desc'],
			'L_PHOTO_FILE' => $msg['a_photo_file'],
			'L_PHOTO_THM' => $msg['a_photo_thm'],
			'L_PHOTO_DATE' => $msg['a_photo_date'],
			'L_PHOTO_SIZE' => $msg['a_photo_size'],
			'L_PHOTO_RATE' => $msg['a_photo_rate'],
			'U_DELETE_PHOTO' => append_sid(CURR_PAGE.'?action=delete&amp;photo_id='.$photo_info['photo_id'].'')
			));
	$TPL_site->pparse('photo_edit');
	
}

if(empty($action))
{
	$TPL_site->set_filenames(array(
			'cat_show' => 'admin/photo_index_body.html'
			));
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="order" />';
	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'L_CAT_TITLE' => $msg['a_cat_title']
			));
	local_cat_rows();

	// $_html_select_field .= make_form_select_cat('cat_id',$cat_id);
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="recount" />';
	$TPL_site->assign_vars(array(
			'FORM_ACTION' => CURR_PAGE,
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_SELECT_CAT_FIELD' => $_html_select_field,
			'L_NOTE_RECOUNT' => $msg['a_nphoto_noterecount']
			));
	$TPL_site->pparse('cat_show');
}

include(ROOT_DIR.'admin/'.FILE_ADM_FOOTER);
?>