<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2005 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
define('FUNCTIONS_INC', TRUE);
/* ******************* Array Manipulation ******************** */
function view_array($array)
{
	echo '<table cellpadding="0" cellspacing="0" border="1">';
	foreach ($array as $key1 => $elem1)
	{
		echo '<tr>';
		echo '<td>'.$key1.'&nbsp;</td>';
		if(is_array($elem1)){
			ext_array($elem1);
		}else{
			echo '<td>'.htmlspecialchars($elem1).'&nbsp;</td>';
		}
		echo '</tr>';
	}
	echo '</table>';
}
function ext_array($array)
{
	echo '<td>';
	echo '<table cellpadding="0" cellspacing="0" border="1">';
	foreach ($array as $key => $elem)
	{
		echo '<tr>';
        echo '<td>'.$key.'&nbsp;</td>';
        if (is_array($elem))
		{
			ext_array($elem);
		}
		else
		{
			echo '<td>'.htmlspecialchars($elem).'&nbsp;</td>';
		}
		echo '</tr>';
	}
    echo '</table>';
    echo '</td>';
}

function make_array_sort($arr, $args)
{
	$sort_rule = '';
	if (is_array($arr))
	{
	    foreach ($args as $arg)
		{
			$order_field = substr($arg, 1, strlen($arg));
	        foreach ($arr as $arr_row)
			{
				$sort_array[$order_field][] = $arr_row[$order_field];
			}
	        $sort_rule .= '$sort_array['.$order_field.'], '.($arg[0] == "+"? 'SORT_ASC' : 'SORT_DESC').','; 
	    }
		if (is_array($sort_rule))
		{
			eval("array_multisort($sort_rule".' &$arr);');
		}
		return $arr;
	}
	else
	{
		return false;
	}
}
function my_fix_uri($url)
{
	if(!empty($url))
	{
		return (substr($url,-1)=='/')? $url : $url.'/';
	}else{
		return './';
	}
}

/* ********************** dir ********************************* */
function my_realpath($path)
{
	return (!@function_exists('realpath') || !@realpath(ROOT_DIR.'include/functions.inc.php')) ? $path : @realpath($path);
}


/* ******** Categories Array ********* */
function recount_nphoto_cat()
{
	global $DB_site;
	
	$sql = "SELECT * FROM ".DBTBL_CATS." ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$sql = "SELECT count(photo_id) AS count FROM ".DBTBL_PHOTOS." WHERE cat_id='".$row['cat_id']."' ";
		$counter = $DB_site->query_first($sql);
		$sql = "UPDATE ".DBTBL_CATS." SET cat_nphoto='". $counter['count'] . "' WHERE cat_id='".$row['cat_id']."' ";
		$DB_site->query($sql);
	}
	$DB_site->free_result($data_arr);
}


/* ******************* String Manipulation ******************** */
function append_sid($url,$non_html_amp=false)
{
	global $MYSID;
	
	if ( !empty($MYSID) && !eregi('sid=', $url) )
	{
		$url .= ( ( strpos($url, '?') != false ) ?  ( ( $non_html_amp ) ? '&' : '&amp;' ) : '?' ) . $MYSID;
	}
	return($url);
}
/* ******************* File & Dir Manipulation ******************* */
function get_file_extension($uri_file)
{
	$uri_file = strtolower($uri_file);
	$ext = split("[/\\.]", $uri_file);
	$n = count($ext)-1;
	return $ext[$n];
}
function get_file_name($uri_file, $is_only = false)
{
	$arr = split("[/\\]", $uri_file);
	$n = count($arr)-1;
	$file_name = $arr[$n];
	if ($is_only)
	{
		$arra = explode('.',$file_name);
		$n = count($arra)-1;
		return str_replace('.'.$arra[$n],'',$file_name);
	}
	else
	{
		return $file_name;
	}
}
function get_curr_dir($uri_file)
{
	$arr = split("[/\\]",$uri_file);
	$n = count($arr)-1;
	return str_replace($arr[$n],'',$uri_file);
}

/* ******************* Cookies ******************** */
function my_setcookie($name, $value = '', $permanent = 1)
{
	$cookiepath = '/';
	$cookiedomain = '';
	$SERVER_PORT = '';
	$expire = ($permanent)? time()+(60*60*24*365) : 0;
	if ($SERVER_PORT == '443')
	{
		$secure = 1; // we're using SSL
	}
	else
	{
		$secure = 0;
	}
	if ($cookiedomain)
	{
    	@setcookie($name, $value, $expire, $cookiepath, $cookiedomain, $secure);
	}
	else
	{
		@setcookie($name, $value, $expire, $cookiepath, '', $secure);
	}
}

/* ******************* String Parse ******************** */
function parse_smile($string)
{
	global $cfg;
	
	$dir_smiles = $cfg['site_url'].'templates/'.$cfg['skin'].'/images/smiles';
	$smiles = array(
		':D' => 'icon_biggrin.gif',
		':-D' => 'icon_biggrin.gif',
		':grin:' => 'icon_biggrin.gif',
		':)' => 'icon_smile.gif',
		':-)' => 'icon_smile.gif',
		':smile:' => 'icon_smile.gif',
		':(' => 'icon_sad.gif',
		':-(' => 'icon_sad.gif',
		':sad:' => 'icon_sad.gif',
		':o' => 'icon_surprised.gif',
		':-o' => 'icon_surprised.gif',
		':eek:' => 'icon_surprised.gif',
		':shock:' => 'icon_eek.gif',
		':?' => 'icon_confused.gif',
		':-?' => 'icon_confused.gif',
		':???:' => 'icon_confused.gif',
		'8)' => 'icon_cool.gif',
		'8-)' => 'icon_cool.gif',
		':cool:' => 'icon_cool.gif',
		':lol:' => 'icon_lol.gif',
		':x' => 'icon_mad.gif',
		':-x' => 'icon_mad.gif',
		':mad:' => 'icon_mad.gif',
		':P' => 'icon_razz.gif',
		':-P' => 'icon_razz.gif',
		':razz:' => 'icon_razz.gif',
		':oops:' => 'icon_redface.gif',
		':cry:' => 'icon_cry.gif',
		':evil:' => 'icon_evil.gif',
		':twisted:' => 'icon_twisted.gif',
		':roll:' => 'icon_rolleyes.gif',
		':wink:' => 'icon_wink.gif',
		';)' => 'icon_wink.gif',
		';-)' => 'icon_wink.gif',
		':!:' => 'icon_exclaim.gif',
		':?:' => 'icon_question.gif',
		':idea:' => 'icon_idea.gif',
		':arrow:' => 'icon_arrow.gif',
		':|' => 'icon_neutral.gif',
		':-|' => 'icon_neutral.gif',
		':neutral:' => 'icon_neutral.gif',
		':mrgreen:' => 'icon_mrgreen.gif'
	);
	$string = ' '.$string.' ';
	foreach ($smiles as $smile => $image)
	{
		$string = str_replace(' '.$smile.' ', "<img src='$dir_smiles/$image' alt='' />",$string);
	}
	$message = substr($message, 1, -1);
	return $string;
}
function my_htmlspecialchars($text = '')
{
	return str_replace(array('>', '<', '"', '\''), array('&gt;', '&lt;', '&quot;', '&#039;'), $text); 
}
function short_words($str, $cols = 75, $cut = '<br />')
{
	$str = str_replace("\r\n","",$str);
	$str = str_replace("\n","",$str);
	$str = str_replace("\r","",$str);
	$tag_open = '<';
	$tag_close = '>';
	$in_tag = 0;
	$str_len = strlen($str);
	$segment_width = 0;

	for ($i=0; $i <= $str_len; $i++)
	{
		if (substr($str,$i,strlen($cut)) == $cut)
		{
			$i += strlen($cut)-1;
			$segment_width = 0;
		}
		else
		{
			if ($str[$i] == $tag_open)
			{
				$in_tag++;
			}
			elseif ($str[$i] == $tag_close)
			{
				if ($in_tag > 0)
				{
					$in_tag--;
				}
			}
			else
			{
				if ($in_tag == 0)
				{
					$segment_width++;
					if ($str[$i] == ' ')
					{
						$last_space = $i;
					}
					if (($segment_width > $cols) && ($str[$i] != " "))
					{
						if ($last_space < $i)
						{
							$str = substr($str,0,$last_space).$cut.substr($str,$last_space);
							$i  = $last_space + strlen($cut) - 1;
						}
						else
						{
							$str = substr($str,0,$i).$cut.substr($str,$i);
							$i  += strlen($cut) - 1;
						}
						$last_space	= 0;
						$str_len		= strlen($str);
						$segment_width  = 0;
					}
				}
			}
		}
	}
	return $str;
}
/* ******************* Page Messages ******************** */
function message_die($msg_case,$msg_text)
{
	global $TPL_site,$msg,$cfg,$MYFORMSID;
	
	$page_title = $msg['page_error'];
	if (!defined('HEADER_INC'))
	{
		if (defined('IN_ADMIN'))
		{
			include(ROOT_DIR.'admin/'.FILE_ADM_HEADER);
		}
		else
		{
			include(ROOT_DIR.'include/page_header.inc.php');
		}
	}
	$TPL_site->set_filenames(array(
				'message_body' => 'message_body.html'
				));
	switch($msg_case)
	{
		case GENERAL_MESSAGE:
			$msg_title = $msg['error_information'];
			break;
		case CRITICAL_MESSAGE:
			$msg_title = $msg['error_critical_information'];
			break;
		case GENERAL_ERROR:
			$msg_text = empty($msg_text)? $msg['error_an_error_occured'] : $msg_text;
			$msg_title = $msg['error_general_error'];
			break;
		case CRITICAL_ERROR:
			$msg_text = empty($msg_text)? $msg['error_a_critical_error'] : $msg_text;
			$msg_title = '<b>' . $msg['error_critical_error'] . '</b>';
			break;
	}
	$TPL_site->assign_vars(array(
			'MSG_TITLE' => $msg_title,
			'MSG_TEXT' => $msg_text,
			'HTML_HIDDEN_FIELDS' => $MYFORMSID
			));
	$TPL_site->pparse('message_body');
	if (!defined('FOOTER_INC'))
	{
		if (defined('IN_ADMIN'))
		{
			include(ROOT_DIR.'admin/'.FILE_ADM_FOOTER);
		}
		else
		{
			include(ROOT_DIR.'include/page_footer.inc.php');
		}
	}
	exit;
}
function message_confirm($case,$value,$extra_txt='')
{
	global $TPL_site,$msg,$cfg,$MYFORMSID;
	
	if (!defined('HEADER_INC'))
	{
		if (defined('IN_ADMIN'))
		{
			include(ROOT_DIR.'admin/'.FILE_ADM_HEADER);
		}
		else
		{
			include(ROOT_DIR.'include/page_header.inc.php');
		}
	}
	$TPL_site->set_filenames(array(
				'message_body' => 'admin/message_confirm.html'
				));
	$msg_title = $msg['a_confirm_operation_title'];
	switch($case)
	{
		case ACTION_ADD:
			$msg_text = $msg['error_information'];
			$action = 'add2';
			break;
		case ACTION_EDIT:
			$msg_text = $msg['error_critical_information'];
			$action = 'edit2';
			break;
		case ACTION_DELETE:
			$msg_text = $msg['a_confirm_operation_delete'];
			$action = 'delete2';
			break;
	}
	$_html_hidden_fields = $MYFORMSID.'<input type="hidden" name="action" value="'.$action.'" />';
	reset($value);
	if (is_array($value))
	{
		foreach ($value as $k => $v)
		{
			$_html_hidden_fields .= '<input type="hidden" name="'.$k.'" value="'.$v.'" />';
		}
	}
	
	$TPL_site->assign_vars(array(
			'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
			'FORM_ACTION' => CURR_PAGE,
			'L_SUBMIT' => $msg['a_confirm_operation_imsure'],
			'L_RESET' => $msg['a_confirm_operation_no'],
			'MSG_TITLE' => $msg_title,
			'MSG_TEXT' => $msg_text,
			'MSG_TEXT_EXTRA' => $extra_text
			));
	$TPL_site->pparse('message_body');
	if (defined('IN_ADMIN'))
	{
		include(ROOT_DIR.'admin/'.FILE_ADM_FOOTER);
	}
	else
	{
		include(ROOT_DIR.'include/page_footer.inc.php');
	}
	exit;
}
function redirect_die($url)
{
	global $msg,$cfg;
	
	$url = !eregi('http://',$url) ? $cfg['site_url'].(defined('IN_ADMIN')? 'admin/':'').$url : $url;
	if (defined('HEADER_INC'))
	{
		echo '<script type="text/javascript">window.location="'.$url.'";</script>';
		echo '<p><a href="'.$url.'">'.$msg['continue'].'</a></p>';
	}
	else
	{
		if (@preg_match('#Microsoft|WebSTAR|Xitami#', getenv('SERVER_SOFTWARE')))
		{
			header('Refresh: 0; URL=' . $url);
			echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"><html><head>';
			echo '<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">';
			echo '<meta http-equiv="refresh" content="0; url=' . $url . '">';
			echo '<title>Redirect</title></head><body>';
			echo '<div align="center"><a href="' . $url . '">'. $msg['continue'] .'</a></div></body></html>';
			exit;
		}
		@header("Location: ". $url);
	}
	exit;
}

/* ************ cat manipulation *************** */
function make_cat_tree()
{
	global $DB_site,$sys_temp;
	
	$arr = array();
	$sql = "SELECT * FROM ".DBTBL_CATS." ORDER BY cat_order ASC ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$arr[] = array(
			'cat_id' => $row['cat_id'],
			'cat_parent' => $row['cat_parent'],
			'cat_name' => stripslashes($row['cat_name']),
			'cat_desc' => stripslashes($row['cat_desc']),
			'cat_order' => $row['cat_order'],
			'cat_nphoto' => $row['cat_nphoto'],
			'cat_commdate' => $row['cat_commdate'],
			'cat_date' => $row['cat_date'],
			'cat_private' => $row['cat_private'],
			'cat_password' => stripslashes($row['cat_password'])
		);
	}
	$DB_site->free_result($data_arr);
	$sys_temp['k'] = sizeof($arr);
	return $arr;
}
function get_cat_info($cat_id)
{
	global $cat_tree_arr,$sys_temp;
	
	for ($i=0; $i<$sys_temp['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_id'] == $cat_id)
		{
			$arr = array(
					'cat_id' => $cat_tree_arr[$i]['cat_id'],
					'cat_parent' => $cat_tree_arr[$i]['cat_parent'],
					'cat_name' => $cat_tree_arr[$i]['cat_name'],
					'cat_desc' => $cat_tree_arr[$i]['cat_desc'],
					'cat_order' => $cat_tree_arr[$i]['cat_order'],
					'cat_nphoto' => $cat_tree_arr[$i]['cat_nphoto'],
					'cat_commdate' => $cat_tree_arr[$i]['cat_commdate'],
					'cat_date' => $cat_tree_arr[$i]['cat_date'],
					'cat_private' => $cat_tree_arr[$i]['cat_private'],
					'cat_password' => $cat_tree_arr[$i]['cat_password']
					);
			return $arr;
		}
	}
}

function get_cat_rows($cat_id = 0, $cat_level = 0)
{
	global $TPL_site, $cfg, $msg, $sys_temp, $mfc_current_set, $cat_tree_arr;
	
	$_block = ($cat_level>0)? 'cat_row.subcat_row': 'cat_row';
	$cat_level++;
	if ($cat_level > 2)
	{
		return false;
	}
	$space = str_repeat('&nbsp; ',$cat_level*3);
	for ($i=0; $i<$sys_temp['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_parent'] == $cat_id)
		{
			$new_icon = ($cat_tree_arr[$i]['cat_commdate'] > $mfc_current_set)? '<img src="templates/'.$cfg['skin'].'/images/icon_newcom.gif" alt="'.$msg['comments_new'].'" />' : '';
			$private_icon = ($cat_tree_arr[$i]['cat_private']==1)? '<img src="templates/'.$cfg['skin'].'/images/icon_key.gif" alt="'.$msg['private_area'].'" />' : '';
			$TPL_site->assign_block_vars($_block,array(
					'U_CAT' => append_sid(FILE_USR_BROWSE.'?cid='.$cat_tree_arr[$i]['cat_id'].''),
					'CAT_NAME' => htmlspecialchars(stripslashes($cat_tree_arr[$i]['cat_name'])),
					'CAT_DATE' => timestamp_to_human($cat_tree_arr[$i]['cat_date']),
					'CAT_NUM_PHOTO' => get_num_photos_cats_subcats($cat_tree_arr[$i]['cat_id']),
					'CAT_DEEP_LEVEL_BLANK_SPACE' => $space,
					'NEW_COMMENTS_ICON' => $new_icon,
					'PRIVATE_ICON' => $private_icon
			));
			get_cat_rows($cat_tree_arr[$i]['cat_id'],$cat_level);
		}
	}
	$cat_level--;
	return true;
}

function get_num_photos_cats_subcats($cid = 0)
{
	global $cat_tree_arr, $sys_temp;
	
	$total = get_num_photos($cid);
	for ($i=0; $i<$sys_temp['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_parent'] == $cid)
		{
			$total += get_num_photos_cats_subcats($cat_tree_arr[$i]['cat_id']);
		}
	}
	return $total;
}
function get_num_photos($cid)
{
	global $cat_tree_arr, $sys_temp;
	
	for ($i=0; $i<$sys_temp['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_id'] == $cid)
		{
			return $cat_tree_arr[$i]['cat_nphoto'];
		}
	}
}

function make_form_select_cat($name = 'cat_id', $selected = 0)
{
	global $cat_tree_arr,$msg;
	
	$_html = '<select name="'.$name.'">';
	$_html .= '<option value="0" '.  (($selected==0)? 'selected="selected"':'')  .'>'.$msg['a_none'].'</option>';
	$cat_tree_arr = make_array_sort($cat_tree_arr, array('+cat_order'));
	$_html .= make_form_select_cat_options(0,$selected);
	$_html .='</select>';
	return $_html;
}
function make_form_select_cat_options($cat_parent, $selected = 0, $menu_cat_level = 0)
{
	global $cat_tree_arr,$sys_temp;
	
	$_html = '';
	$menu_cat_level++;
	$space = ($menu_cat_level)? str_repeat('&nbsp;',$menu_cat_level*3) : '';
	
	for ($i=0; $i<$sys_temp['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_parent'] == $cat_parent)
		{
			$_html .= '<option value="'.$cat_tree_arr[$i]['cat_id'].'" ' . (($cat_tree_arr[$i]['cat_id']==$selected)? ' selected="selected"' : '');
			$_html .= '>'. $space . $cat_tree_arr[$i]['cat_name'] .'</option>'."\n";
			$_html .= make_form_select_cat_options($cat_tree_arr[$i]['cat_id'],$selected,$menu_cat_level);
		}
	}
	$menu_cat_level--;
	return $_html;
}

function make_nav_link($cat_id)
{
	global $cat_tree_arr,$sys_temp;
	
	for ($i=0; $i<$sys_temp['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_id'] == $cat_id)
		{
			$_html .= '/<a href="browse.php?cid='.$cat_tree_arr[$i]['cat_id'].'">'.$cat_tree_arr[$i]['cat_name'].'</a>' . $_html;
			if ($cat_tree_arr[$i]['cat_parent'] != '0')
			{
				$_html = make_nav_link($cat_tree_arr[$i]['cat_parent']) . $_html;
			}
		}
	}
	return $_html;
}
/* ******************* Form Select ************************** */
function make_form_select_yesno($name, $select = 0)
{
	global $msg;
	
	$_html  = '<select name="'.$name.'">';
	$select1 = ($select==1)? 'selected="selected"':'';
	$select0 = ($select==0)? 'selected="selected"':'';
	$_html .= '<option value="0" '.$select0.'>'.$msg['a_no'].'</option>';
	$_html .= '<option value="1" '.$select1.'>'.$msg['a_yes'].'</option>';
	$_html .= '</select>';
	return $_html;
}

/* ******************* File Manipulation ******************** */
function my_filesize($file)
{
	global $cfg;
	
	if (!is_file($cfg['img_dir'].$file))
	{
		return false;
	}
	$kb = 1024;         // Kilobyte
	$mb = 1024 * $kb;   // Megabyte
	$gb = 1024 * $mb;   // Gigabyte
	$tb = 1024 * $gb;   // Terabyte
	$size = filesize($file);
	if ($size < $kb)
	{
    	return $size." B";
	}
	elseif ($size < $mb)
	{
		return round($size/$kb,2)." KB";
	}
	else if ($size < $gb)
	{
		return round($size/$mb,2)." MB";
	}
	else if($size < $tb)
	{
		return round($size/$gb,2)." GB";
	}
	else
	{
		return round($size/$tb,2)." TB";
	}
}

function my_int_filesize($file)
{
	global $cfg;
	
	if (!is_file($cfg['img_dir'].$file))
	{
		return false;
	}
	else
	{
		$kb = 1024;         // Kilobyte
		$mb = 1024 * $kb;   // Megabyte
		$size = filesize($cfg['img_dir'].$file);
		if ($size < $kb)
		{
			return $size;
		}
		elseif ($size < $mb)
		{
			return round($size/$kb,0);
		}
	}
}

function load_file($file)
{
	if (file_exists($file))
	{
		return fread(fopen($file,'r'),filesize($file));
	}
	else
	{
		return false;
	}
}
/* ******************* Image Manipulation ******************** */
function make_thumb_image($file, $pre = 'thm_')
{
	global $cfg;
	
	$thm_format = 'jpg';
	$thm_filename = $pre.get_file_name($file,1).'.'.$thm_format;
	$ext = get_file_extension($file);
	$ori = $cfg['img_dir'].$file;
	$dest = $cfg['img_dir'].get_curr_dir($file).$thm_filename;
	$width = ($cfg['thm_width']==0 || empty($cfg['thm_width']))? 100 : $cfg['thm_width'];
	
	if ($ext == 'jpg' || $ext == 'jpeg')
	{
		$im = imagecreatefromjpeg($ori);
	}
	elseif($ext == 'png')
	{
		$im = imagecreatefrompng($ori);
	}
	elseif($ext == 'gif')
	{
		return false;
	}
	$w = imagesx($im);
	$h = imagesy($im);
	if ($w > $h)
	{
		$nw = $width;
		$nh = ($h * $width)/$w;
	}
	else
	{
		$nh = $width;
		$nw = ($w * $width)/$h;
	}
	if (function_exists('imagecopyresampled'))
	{
		if (function_exists('imageCreateTrueColor'))
		{
			$ni = imageCreateTrueColor($nw,$nh);
		}
		else
		{
			$ni	= imagecreate($nw,$nh);
		}
		if (!@imagecopyresampled($ni,$im,0,0,0,0,$nw,$nh,$w,$h))
		{
			imagecopyresized($ni,$im,0,0,0,0,$nw,$nh,$w,$h);
		}
	}
	else
	{
		$ni	= imagecreate($nw,$nh);
		imagecopyresized($ni,$im,0,0,0,0,$nw,$nh,$w,$h);
	}
	if ($thm_format == 'jpg')
	{
		imagejpeg($ni,$dest,60);
	}
	elseif ($thm_format == 'png')
	{
		imagepng($ni,$dest);
	}
	return get_curr_dir($file).$thmfilename;
}

function update_photo_date($file, $photo_id, $old_date)
{
	global $cfg,$DB_site;
	
	if (function_exists('exif_read_data'))
	{
		$exif = exif_read_data($cfg['img_dir'].$file);
		if ($exif != false)
		{
			$exif = exif_read_data($cfg['img_dir'].$file);
			$exif_datetime = $exif['DateTimeOriginal'];
			if (!empty($exif_datetime)) // && $photo_info['photo_date'])
			{
				$photo_date = $exif_datetime;
			}
			else
			{
				$photo_date = timestamp_to_mysql_datetime(time(),$cfg['timezone']);
			}
		}
		else
		{
			$photo_date = timestamp_to_mysql_datetime($old_date);
		}
		$sql = "UPDATE ".DBTBL_PHOTOS." SET photo_date='$photo_date' WHERE photo_id='".$photo_id."' ";
		$DB_site->query($sql);
	}
}
function get_photo_date($file)
{
	global $cfg;
	
	$file_path = $cfg['img_dir'].'/'.$file;
	if (function_exists('exif_read_data') && file_exists($file_path))
	{
		if (@exif_read_data($file_path))
		{
			$exif = @exif_read_data($file_path);
			$exif_datetime = $exif['DateTimeOriginal'];
			if (!empty($exif_datetime)) // && $photo_info['photo_date'])
			{
				$dt = $exif_datetime;
				$yr = strval(substr($dt,0,4));
				$mo = strval(substr($dt,5,2));
				$da = strval(substr($dt,8,2));
				$hr = strval(substr($dt,11,2));
				$mi = strval(substr($dt,14,2));
				$se = strval(substr($dt,17,2)); 
				return "$yr-$mo-$da $hr:$mi:$se";
			}
			else
			{
				return timestamp_to_mysql_datetime(time(),$cfg['timezone']);
			}
		}
		else
		{
			return timestamp_to_mysql_datetime(time(),$cfg['timezone']);
		}
	}
	else
	{
		return false;
	}
}

function update_photo_hits($photo_id = '')
{
	global $cfg,$DB_site;
	
	if($photo_id != '')
	{
		$sql = "UPDATE ".DBTBL_PHOTOS." SET photo_hits=photo_hits+1 WHERE photo_id='".addslashes($photo_id)."' ";
		$DB_site->query($sql);
		return true;
	}
}
function update_photo_rate($photo_id, $user_rating)
{
	global $cfg,$DB_site;
	
	$sql = "SELECT * FROM ".DBTBL_PHOTOS." WHERE photo_id='".addslashes($photo_id)."' ";
	$rate_info =  $DB_site->query_first($sql);
	$photo_nvotes = $rate_info['photo_nvotes'] + 1; // Num_Votes
	$photo_votes = $rate_info['photo_votes'] + $user_rating;
	$photo_rate = round(( $photo_votes/$photo_nvotes ),2);
	$sql = "UPDATE ".DBTBL_PHOTOS." SET photo_nvotes='$photo_nvotes',photo_votes='$photo_votes',photo_rate='$photo_rate' WHERE photo_id='".addslashes($photo_id)."' ";
	$DB_site->query($sql);
	return $photo_rate;
}
function get_rating_stars($val = 0)
{
	global $cfg;
	
	$h = '';
	$stars = split("[/\\.]", $value);
	$starsf = $stars[0];
	for ($i=1; $i<=$val; $i++)
	{
		$h .= '<img src="'. $cfg['site_url'] .'templates/'.$cfg['skin'].'/images/star.gif" alt="" />';
		
	}
	if (!empty($stars[1]))
	{
			$h .= '<img src="'. $cfg['site_url'] .'templates/'.$cfg['skin'].'/images/starh.gif" alt="" />';
	}
	return $h;
}

function show_login_page($page, $cid)
{
	global $TPL_site, $msg, $cfg;
	
	if (!defined('HEADER_INC'))
	{
		if (defined('IN_ADMIN'))
		{
			include(ROOT_DIR.'admin/'.FILE_ADM_HEADER);
		}
		else
		{
			include(ROOT_DIR.'include/page_header.inc.php');
		}
	}
	$TPL_site->set_filenames(array(
		'message_body' => 'access_cat.html'
	));
	$_html_hidden_fields = '<input type="hidden" name="cid" value="'.$cid.'" />';
	$TPL_site->assign_vars(array(
		'FORM_HIDDEN_FIELDS' => $_html_hidden_fields,
		'FORM_ACTION' => $page
	));
	$TPL_site->pparse('message_body');
	if (defined('IN_ADMIN'))
	{
		include(ROOT_DIR.'admin/'.FILE_ADM_FOOTER);
	}
	else
	{
		include(ROOT_DIR.'include/page_footer.inc.php');
	}
	exit;
}

function show_hostby_addr($ip)
{
	$host = @GetHostByAddr($ip); 
	$real_host=chop($host);
	if ($real_host)
	{
		$host_arr=explode(".", $real_host); 
		$count=count($host_arr); 
		if ($count > 1)
		{
			if (intval($host_arr[$count-1])!=0)
			{
				$host=substr($real_host,0,strrpos($real_host,".")).".*";
			}
			else
			{
				$host = "*".strstr($real_host, ".");
			}
		}
		else
		{
			$host=$real_host; 
		}
	}
	else
	{
		$host=""; 
    }
	return $host;
}

function get_html_video($file, $w = '', $h = '', $type = '')
{
	$filepath = (eregi('http://',$file))? $file : $file;
	$type = empty($type)? get_file_extension($file) : get_file_extension($type);
	switch ($type)
	{
		case 'swf':
			$width = ($w == 0 || empty($w))? 400 : $w;
			$height = ($h == 0 || empty($h))? 400 : $h;
			return '<!-- IE --><object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0" width="'.$width.'" height="'.$height.'"><param name="movie" value="'.$filepath.'" /><param name="quality" value="high" /><param name="LOOP" value="false" />
			<!-- NN --><embed quality="high" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" src="'.$filepath.'" type="application/x-shockwave-flash" width="'.$width.'" height="'.$height.'" loop="false"><noembed><a href="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">Get Macromedia Flash Player NOW!</a></noembed></embed>
		</object>';
		case 'ram':
		case 'ra':
		case 'rm':
		case 'rpm':
			$width = ($w == 0 || empty($w))? 400 : $w;
			$height = ($h == 0 || empty($h))? 400 : $h;
			return '<!-- IE --><object id="videoie" classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" width="'.$width.'" height="'.$height.'" hspace="0" vspace="0" align="top"><param name="SRC" value="'.$filepath.'" /><param name="type" value="audio/x-pn-realaudio" /><param name="console" value="videoie" /><param name="controls" value="imagewindow" /><param name="autostart" value="true" />
				<!-- NN --><embed name="videoNN" type="audio/x-pn-realaudio" pluginspage="http://www.real.com/player" src="'.$filepath.'" width="'.$width.'" height="'.$height.'" hspace="0" vspace="0" controls="ImageWindow" autostart="true" loop="false" console="ClipNN"><noembed><a href="http://www.real.com/player/">Get Real Audio Player NOW!</a></noembed></embed>
			</object>';
		case 'asf':
		case 'asx':
		case 'wmv':
		case 'wma':
			$width = ($w == 0 || empty($w))? 400 : $w;
			$height = ($h == 0 || empty($h))? 400 : $h;
			return '<!-- IE --><object id="MPlay1" classid="CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95" codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=6,4,5,715" standby="Loading Microsoft Windows Media Player components..." type="application/x-oleobject" width="'.$width.'" height="'.$height.'"><param name="FileName" value="'.$filepath.'" /><param name="ShowDisplay" value="FALSE" /><param name="ShowStatusBar" value="TRUE" /><param name="StatusBar" value="True" /><param name="AnimationAtStart" value="True" /><param name="ShowAudioControls" value="True" /><param name="ShowPositionControls" value="False" /><param name="ShowControls" value="False" /><param name="AutoSize" value="TRUE" /><param name="AutoStart" value="TRUE" /><param name="AutoRewind" value="TRUE" />
			<!-- NN --><embed width="'.$width.'" height="'.$height.'" filename="'.$filepath.'" src="'.$filepath.'" pluginspage="http://www.microsoft.com/windows/mediaplayer/download/default.asp" name="MPlay1" type="video/x-ms-asf-plugin" autostart="1" showstatusbar="0" showdisplay="0" autosize="0" showcontrols="0" autorewind="1" statusbar="True" animationatstart="True" showaudiocontrols="True" showpositioncontrols="False"></embed>
			</object>';
		case 'mov':
		case 'qt':
			$width = ($w == 0 || empty($w))? 400 : $w;
			$height = ($h == 0 || empty($h))? 400 : $h;
			return '<!-- IE --><object classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab" width="'.$width.'" height="'.$height.'"><param name="src" value="'.$filepath.'" /><param name="autoplay" value="true" /><param name="controller" value="true" />
				<!-- NN --><embed src="'.$filepath.'" width="'.$width.'" height="'.$height.'" name="Get QuickTime" type="video/quicktime" loop="true" cache="true" controller="true" pluginspage="http://www.apple.com/quicktime/download/" autoplay="true" kioskmode="true">
			</object>';
		case 'jpeg':
		case 'jpg':
		case 'gif':
		case 'png':
			$width = !empty($w)? " width='$w'" :'';
			$height = !empty($h)? " height='$h'" :'';
			return '<img src="'. $filepath .'" alt="image"'.$width . $height.' />';
		case 'jav':
		case 'txt':
			//$file_path = $cfg['img_dir'] . str_replace('./','',str_replace('../','',$file));
			//return @fread(@fopen($file_path, 'rb'), @filesize($file_path));
		default:
			return '<a href="'. $filepath  .'"><b>Click here to Download</b></a>';
	}
}

function get_html_music($file,$width='',$height='')
{
	global $cfg;
	
	$filepath = (eregi('http://',$file))? $file : $cfg['img_url'].$file;
	$extension = split("[/\\.]",strtolower($file));
	$n = sizeof($extension)-1;
	$extension = $extension[$n];
	$type = $extension;
	switch ($type)
	{
		case 'ram':
		case 'ra':
		case 'rm':
		case 'rpm':
			$width = empty($width)? 35 : $width;
			$height = empty($height)? 180 : $height;
			return '<!-- IE --><object id="RAOCX" classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" height="'. $height .'" width="'. $width .'"><param name="SRC" value="'.$url.'" /><param name="AUTOSTART" value="-1" /><param name="SHUFFLE" value="0" /><param name="PREFETCH" value="0" /><param name="NOLABELS" value="-1" /><param name="CONTROLS" value="ControlPanel" /><param name="LOOP" value="0" /><param name="NUMLOOP" value="0" /><param name="CENTER" value="0" /><param name="MAINTAINASPECT" value="0" /><param name="BACKGROUNDCOLOR" value="#000000" />
				<!-- NN --><embed type ="audio/x-pn-realaudio" src="'.$url.'" height="'. $height .'" width="'. $width .'" controls="ControlPanel" autostart="true" console="Clip1"></embed>
				</object>';
		case 'asx':
		case 'wma':
		case 'asf':
		case 'wmv':
		case 'wma':
			$width = empty($width)? 203 : $width;
			$height = empty($height)? 24 : $height;
			return '<!-- IE --><object name="MediaPlayer" id="MediaPlayer" classid="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95" codebase="http://activex.microsoft.com/activex/%20%20%20controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701" standby="Loding..." type="application/x-oleobject" width="'. $width .'" height="'. $height .'" viewastext><param name="FileName" value="'.$url.'" /><param name="AutoStart" value="True" /><param name="TransparentAtStart" value="True" /><param name="ShowStatusBar" value="1" /><param name="ShowControls" value="1" /><param name="ShowDisplay" value="0" /><param name="AutoSize" value="0" /><param name="AnimationAtStart" value="0" />
				<!-- NN --><embed type="application/x-mplayer2" id="MediaPlayer" pluginspage="http://www.microsoft.com/windows/mediaplayer/download/default.asp" width="'. $width .'" height="'. $height .'" src="'.$url.'" autostart="1" transparentatstart="0" showcontrols="1" showdisplay="0" showstatusbar="1" animationatstart="0"></embed>
				</object>';
		case 'mp3':
		case 'm3u':
			$width = empty($width)? 144 : $width;
			$height = empty($height)? 60 : $height;
			return '<embed src="'.$url.'" width="'. $width .'" height="'. $height .'" pluginspage="http://www.winamp.com/" autostart="true" hidden="false"></embed>';
		case 'mov':
		case 'qt':
			$width = empty($width)? 144 : $width;
			$height = empty($height)? 16 : $height;
			return '<!-- IE --><object classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab" width="'. $width .'" height="'. $height .'"><param name="src" value="'.$filepath.'" /><param name="autoplay" value="true" /><param name="controller" value="false" />
				<!-- NN --><embed src="'.$url.'" width="'. $width .'" height="'. $height .'" name="Get QuickTime" type="video/quicktime" loop="true" cache="true" controller="false" pluginspage="http://www.apple.com/quicktime/download/" autoplay="true" kioskmode="true">
			</object>';
		case 'mid':
		case 'midi':
		case 'wav':
		case 'au':
			$width = empty($width)? 144 : $width;
			$height = empty($height)? 60 : $height;
			return '<!-- NN --><embed src="'.$url.'" width="'. $width .'" height="'. $height .'" autostart="true" loop="true">
			<!-- IE --><noembed><bgsound src="'.$url.'" loop="infinite"></noembed>
			</embed>';
		default:
			return false;
	}
}

?>