<?php
/**************************************************************************
 *   script      : Minhas Fotos                                           *
 *   description : photo gallery                                          *
 *   copyright   : (C) 2002-2005 Calvin                                   *
 *   website     : http://calvinbox.ionichost.com                         *
 *                                                                        *
 *   This program is freeware software; you cant redistribute it under   *
 *   any circumstance without explicit authorization from Calvin.         *
 *   http://calvinbox.ionichost.com/                                      *
 *************************************************************************/
set_magic_quotes_runtime(0);
error_reporting(E_ERROR | E_WARNING | E_PARSE);
//error_reporting(E_ALL);
$showqueries = 0;
define('USE_GZIP',false);
define('SHOW_BENCHMARK',false);
/********************************************************************
benchmark
********************************************************************/
class BC_Timer{
	var $stime;
	var $etime;
	function BC_Timer(){
		$this->stime = $this->get_microtime();
	}
	function get_microtime() {
		$tmp = split(' ',microtime()); 
		return $tmp[0]+$tmp[1];
	}
	function elapsed_time(){ 
		$this->etime = $this->get_microtime();
		echo "<small><p align=center>[ execution time : ". ($this->etime - $this->stime) ." ] </p></small>";
		exit;
	}
}
if(USE_GZIP){ ob_start('ob_gzhandler'); }
if(SHOW_BENCHMARK){ $timer=new BC_Timer();}
if (getenv('HTTP_X_FORWARDED_FOR') !='')
{
	$client_ip = ( !empty($_SERVER['REMOTE_ADDR']) ) ? $_SERVER['REMOTE_ADDR'] : ( ( !empty($_ENV['REMOTE_ADDR']) ) ? $_ENV['REMOTE_ADDR'] : $REMOTE_ADDR );
	if ( preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", getenv('HTTP_X_FORWARDED_FOR'), $ip_list) )
	{
		$private_ip = array('/^0\./', '/^127\.0\.0\.1/', '/^192\.168\..*/', '/^172\.16\..*/', '/^10..*/', '/^224..*/', '/^240..*/');
		$client_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);
		unset($private_ip);
		unset($ip_list);
	}
}else{
	$client_ip = ( !empty($_SERVER['REMOTE_ADDR']) ) ? $_SERVER['REMOTE_ADDR'] : ( ( !empty($_ENV['REMOTE_ADDR']) ) ? $_ENV['REMOTE_ADDR'] : $REMOTE_ADDR );
}

if(!empty($_COOKIE)) {
	while(list($xxxname, $value) = each($_COOKIE)) {
		$$xxxname = $value;
    }
}
if(!empty($_GET)) {
	while(list($xxxname, $value) = each($_GET)) {
		$$xxxname = $value;
    }
}
if(!empty($_POST)){
	while(list($xxxname, $value) = each($_POST)) {
		$$xxxname = $value;
	}
}
if(!empty($_FILES)) {
	while(list($xxxname, $value) = each($_FILES)) {
    	$$xxxname = $value['tmp_name'];
    }
}

$cfg = array();
include(ROOT_DIR.'admin/config.inc.php');
include(ROOT_DIR.'include/constants.inc.php');
include(ROOT_DIR.'include/db_mysql.class.inc.php');
include(ROOT_DIR.'include/functions.inc.php');
include(ROOT_DIR.'include/datefunctions.inc.php');
include(ROOT_DIR.'include/html.class.inc.php');
include(ROOT_DIR.'include/template.class.inc.php');
include(ROOT_DIR.'include/validation.class.inc.php');
include(ROOT_DIR.'include/file.class.inc.php');

// ini php class
$DB_site=new DB_Sql;
$DB_site->server=$hostname;
$DB_site->user=$dbuser;
$DB_site->password=$dbpass;
$DB_site->database=$dbname;
$DB_site->connect();
$dbpass='';
$DB_site->password='';

$sql = "SELECT * FROM ".DBTBL_CONFIG." ORDER BY conf_varname ASC ";
$data_arr = $DB_site->query($sql);
while($row = $DB_site->fetch_array($data_arr))
{
	$cfg[$row['conf_varname']] = stripslashes($row['conf_value']);
}

$TPL_site = new Template(ROOT_DIR.'templates/'. $cfg['skin']);
$VAL_site = new validation();
$HTML_site = new HTML_site();
$HTML_site->set_var('source',true);

$sys['version'] = CURRENT_VERSION;

// ############################# load language lib ############################# //
$msg = array();
if ( ($action=='change' & !empty($language)) || !empty($mfc_language_set) )
{
	if($action=='change' & !empty($language))
	{
		$mfc_language_set = $language;
		my_setcookie('mfc_language_set',$mfc_language_set,1);
		$url = empty($_SERVER['HTTP_REFERER'])? './': $_SERVER['HTTP_REFERER'];
		$url = append_sid($url);
		redirect_die($url);
	}
	if(file_exists(ROOT_DIR.'language/'. $mfc_language_set .'/main.php'))
	{
		include(ROOT_DIR.'language/'. $mfc_language_set .'/main.php');
	}else{
		include(ROOT_DIR.'language/'.$cfg['lang'].'/main.php');
	}
}else{
	if(!isset($mfc_language_set))
	{
		my_setcookie('mfc_language_set',$cfg['lang'],1);
	}
	include(ROOT_DIR.'language/'.$cfg['lang'].'/main.php');
}
if (defined('IN_ADMIN'))
{
	include(ROOT_DIR.'language/'.$cfg['lang'].'/admin.php');
	// my_realpath();
}

?>